Bug 1227366 - Make fully automated setup the default option in hosted engine setup.
Summary: Make fully automated setup the default option in hosted engine setup.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-hosted-engine-setup
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Sandro Bonazzola
QA Contact: Shira Maximov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-02 13:48 UTC by Yaniv Lavi
Modified: 2016-03-09 19:12 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Fully automated setup is now the default option in hosted engine setup, using cloud-init and the RHEV-M Appliance. Setup also recommends to install the appliance if it is missing.
Clone Of:
Environment:
Last Closed: 2016-03-09 19:12:42 UTC
oVirt Team: Integration
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0375 normal SHIPPED_LIVE ovirt-hosted-engine-setup bug fix and enhancement update 2016-03-09 23:48:34 UTC
oVirt gerrit 41987 None None None Never

Description Yaniv Lavi 2015-06-02 13:48:17 UTC
Description of problem:
Make fully automated setup the default option in hosted engine setup. Setup should also recommend installing the appliance if missing. This is the easiest, most supportable path.

Comment 1 Ilanit Stein 2015-06-23 08:45:49 UTC
For this bug verification:
1. check that the default option offered is disk (and not cdrom as before)
2. In case appliance is missing, a message on that should appear.

Comment 2 Shira Maximov 2016-01-07 16:41:33 UTC
verified on x86_64 : Red Hat Enterprise Virtualization Manager Version: 3.6.2-0.1.el6 

verification steps: 

1. crashed the VM using the command- echo c > /proc/sysrq-trigger 
2. look in vdsm log and see there is no stacktrace, in PPC  see that the event being reported and ignored:

libvirtEventLoop::DEBUG::2016-01-07 10:39:22,994::vm::4493::virt.vm::(onLibvirtLifecycleEvent) vmId=`7972511c-5b15-42f8-be74-9a5262b3272d`::event Crashed detail 0 opaque None

Comment 3 Shira Maximov 2016-01-07 16:43:31 UTC
please ignore the lase comment, this is the wrong bug.

Comment 4 Shira Maximov 2016-02-07 12:48:01 UTC
verified on Red Hat Enterprise Virtualization Manager Version: 3.6.3-0.1.el6: 


verification steps : run hosted-engine --deploy :


the output:         
          --== VM CONFIGURATION ==--
         
          Booting from cdrom on RHEL7 is ISO image based only, as cdrom passthrough is disabled (BZ760885)
          Please specify the device to boot the VM from (choose disk for the oVirt engine appliance)
          (cdrom, disk, pxe) [disk]: 
[ INFO  ] Detecting available oVirt engine appliances
[ INFO  ] No engine appliance image is available on your system.
          Using an oVirt engine appliance could greatly speed-up ovirt hosted-engine deploy.
          You could get oVirt engine appliance installing ovirt-engine-appliance rpm.

Comment 6 errata-xmlrpc 2016-03-09 19:12:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0375.html


Note You need to log in before you can comment on or make changes to this bug.